## perl-openssl-defaults 7

=== Makefile ===
openssl-version: openssl-version.c
	$(CC) $(CPPFLAGS) $(CFLAGS) $(LDFLAGS) $< -o $@ -lcrypto

clean:
	$(RM) openssl-version

## perl-openssl-defaults 3

=== debian/changelog ===
perl-openssl-defaults (3) unstable; urgency=medium

  * Use CPPFLAGS in the build to placate the Debian build log scanner.
  * Break older versions of the packages that have adopted this scheme,
    to ensure that partial upgrades pull in a compatible set of packages.
    (See #848113)

 -- Niko Tyni <ntyni@debian.org>  Sat, 14 Jan 2017 13:10:54 +0200

perl-openssl-defaults (2) unstable; urgency=medium

  * Fix objdump use on platforms like i386 where
    DEB_HOST_GNU_TYPE != DEB_HOST_MULTIARCH.

 -- Niko Tyni <ntyni@debian.org>  Thu, 22 Dec 2016 22:03:17 +0200

perl-openssl-defaults (1) unstable; urgency=medium

  * Initial release. (Closes: #848932)
    + thanks to Gregor Herrmann for the reviews

 -- Niko Tyni <ntyni@debian.org>  Thu, 22 Dec 2016 15:32:29 +0200

=== debian/control ===
Source: perl-openssl-defaults
Maintainer: Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>
Uploaders: Niko Tyni <ntyni@debian.org>
Section: perl
Priority: optional
Build-Depends: debhelper (>= 10), libssl-dev
Standards-Version: 3.9.8
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-perl/packages/perl-openssl-defaults.git
Vcs-Git: https://anonscm.debian.org/git/pkg-perl/packages/perl-openssl-defaults.git

Package: perl-openssl-defaults
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, ${perl:Depends}
Provides: perl-openssl-abi-${perl-openssl-abi-version}
Breaks: libnet-ssleay-perl (<< 1.78-2),
 libcrypt-ssleay-perl (<< 0.73.04-2),
 libcrypt-openssl-bignum-perl (<< 0.07-2),
 libcrypt-openssl-dsa-perl (<< 0.18-2),
 libcrypt-openssl-pkcs10-perl (<< 0.16-2),
 libcrypt-openssl-pkcs12-perl (<< 0.7-3),
 libcrypt-openssl-rsa-perl (<< 0.28-5),
 libcrypt-openssl-x509-perl (<< 1.8.7-3),
 libcrypt-smime-perl (<< 0.19-2)
Multi-Arch: same
Description: version compatibility baseline for Perl OpenSSL packages
 A subset of Perl XS module packages expose the OpenSSL binary interface
 to Perl code. This can lead to incompatibilities if these packages are
 linked against different versions of OpenSSL.
 .
 This package provides a virtual package "perl-openssl-abi-x" that
 corresponds to the libssl-dev package SONAME it was built against.
 The packages that need to stay compatible with each other can depend
 on this.
 .
 Tools are also provided for generating this dependency with minimum
 hassle. See the instructions in README.Debian.

## perl-openssl-defaults 3build1

=== debian/changelog ===
perl-openssl-defaults (3build1) bionic; urgency=high

  * No change rebuild against openssl1.1.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 05 Feb 2018 16:51:43 +0000

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Source: perl-openssl-defaults
-Maintainer: Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>
 Uploaders: Niko Tyni <ntyni@debian.org>
 Section: perl
 Priority: optional

## perl-openssl-defaults 3+apricot

=== debian/changelog ===
perl-openssl-defaults (3+apricot) unstable; urgency=medium

  * Use CPPFLAGS in the build to placate the Debian build log scanner.
  * Break older versions of the packages that have adopted this scheme,
    to ensure that partial upgrades pull in a compatible set of packages.
    (See #848113)

 -- Niko Tyni <ntyni@debian.org>  Sat, 14 Jan 2017 13:10:54 +0200

## perl-openssl-defaults 3+nmu1

=== debian/changelog ===
perl-openssl-defaults (3+nmu1) unstable; urgency=medium

  * Non-maintainer upload.
  * rebuild for mstrict-align

 -- root <root@loongson-pc>  Fri, 28 Jan 2022 17:18:27 +0800

## perl-openssl-defaults 4

=== debian/changelog ===
perl-openssl-defaults (4) unstable; urgency=medium

  [ Salvatore Bonaccorso ]
  * Update Vcs-* headers for switch to salsa.debian.org

  [ gregor herrmann ]
  * debian/control: add dh-sequence-perl-openssl to Provides.
    Supported by debhelper since 11.4.

  [ Debian Janitor ]
  * Bump debhelper from old 10 to 12.
  * Set debhelper-compat version in Build-Depends.

  [ Niko Tyni ]
  * note dh-sequence-perl-openssl usage in README.Debian

 -- Niko Tyni <ntyni@debian.org>  Mon, 03 Feb 2020 13:05:01 +0200

=== debian/control ===
--- 
+++ 
@@ -1,18 +1,18 @@
 Source: perl-openssl-defaults
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>
 Uploaders: Niko Tyni <ntyni@debian.org>
 Section: perl
 Priority: optional
-Build-Depends: debhelper (>= 10), libssl-dev
+Build-Depends: debhelper-compat (= 12), libssl-dev
 Standards-Version: 3.9.8
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-perl/packages/perl-openssl-defaults.git
-Vcs-Git: https://anonscm.debian.org/git/pkg-perl/packages/perl-openssl-defaults.git
+Vcs-Browser: https://salsa.debian.org/perl-team/modules/packages/perl-openssl-defaults
+Vcs-Git: https://salsa.debian.org/perl-team/modules/packages/perl-openssl-defaults.git
 
 Package: perl-openssl-defaults
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends}, ${perl:Depends}
-Provides: perl-openssl-abi-${perl-openssl-abi-version}
+Provides: dh-sequence-perl-openssl,
+          perl-openssl-abi-${perl-openssl-abi-version}
 Breaks: libnet-ssleay-perl (<< 1.78-2),
  libcrypt-ssleay-perl (<< 0.73.04-2),
  libcrypt-openssl-bignum-perl (<< 0.07-2),

## perl-openssl-defaults 5

=== debian/changelog ===
perl-openssl-defaults (5) unstable; urgency=medium

  * Team upload.
  * debian/control: update Build-Depends for cross builds.
  * Mention dh-sequence-perl-openssl in the POD/manpage.
  * Declare compliance with Debian Policy 4.5.0.
  * Set Rules-Requires-Root: no.

 -- gregor herrmann <gregoa@debian.org>  Sat, 16 May 2020 11:46:26 +0200

## perl-openssl-defaults 5build2

=== debian/changelog ===
perl-openssl-defaults (5build2) jammy; urgency=medium

  * No-change rebuild against openssl3

 -- Simon Chopin <simon.chopin@canonical.com>  Wed, 24 Nov 2021 13:55:41 +0000

perl-openssl-defaults (5build1) impish; urgency=medium

  * No-change rebuild to build packages with zstd compression.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 07 Oct 2021 12:22:17 +0200

=== debian/control ===
Source: perl-openssl-defaults
Maintainer: Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>
Uploaders: Niko Tyni <ntyni@debian.org>
Section: perl
Priority: optional
Build-Depends: debhelper-compat (= 12),
               libssl-dev,
               perl-xs-dev,
               perl:native
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/perl-team/modules/packages/perl-openssl-defaults
Vcs-Git: https://salsa.debian.org/perl-team/modules/packages/perl-openssl-defaults.git
Rules-Requires-Root: no

Package: perl-openssl-defaults
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         ${perl:Depends},
         ${shlibs:Depends}
Breaks: libcrypt-openssl-bignum-perl (<< 0.07-2),
        libcrypt-openssl-dsa-perl (<< 0.18-2),
        libcrypt-openssl-pkcs10-perl (<< 0.16-2),
        libcrypt-openssl-pkcs12-perl (<< 0.7-3),
        libcrypt-openssl-rsa-perl (<< 0.28-5),
        libcrypt-openssl-x509-perl (<< 1.8.7-3),
        libcrypt-smime-perl (<< 0.19-2),
        libcrypt-ssleay-perl (<< 0.73.04-2),
        libnet-ssleay-perl (<< 1.78-2)
Provides: dh-sequence-perl-openssl,
          perl-openssl-abi-${perl-openssl-abi-version}
Description: version compatibility baseline for Perl OpenSSL packages
 A subset of Perl XS module packages expose the OpenSSL binary interface
 to Perl code. This can lead to incompatibilities if these packages are
 linked against different versions of OpenSSL.
 .
 This package provides a virtual package "perl-openssl-abi-x" that
 corresponds to the libssl-dev package SONAME it was built against.
 The packages that need to stay compatible with each other can depend
 on this.
 .
 Tools are also provided for generating this dependency with minimum
 hassle. See the instructions in README.Debian.

=== debian/rules ===
#!/usr/bin/make -f

DEB_HOST_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

CC      = $(DEB_HOST_GNU_TYPE)-gcc

# we determine the ABI level comes from the SONAME of libssl.so
# it is used for the Provides: perl-openssl-abi-XX relationship
# see #848113

debian/openssl-abiversion: debian/get-libssl-abi
	$< > $@
	# fail if we could not extract the SONAME
	[ -s $@ ]

debian/dh_perl_openssl.1: debian/dh_perl_openssl
	pod2man $< $@

# we build a binary called 'openssl-version' just to be able to generate
# a libssl* dependency. dh_shlibdeps won't run if nothing is installed
# in the binary package, so we run dpkg-shlibdeps by hand
override_dh_shlibdeps:
	# scanning uninstalled binaries is intentional, please ignore the warning
	dpkg-shlibdeps -e$(CURDIR)/openssl-version -Tdebian/perl-openssl-defaults.substvars

override_dh_gencontrol: debian/openssl-abiversion
	dh_gencontrol -- -Vperl-openssl-abi-version=$(shell cat $<)

override_dh_auto_build: debian/perl-openssl.make debian/dh_perl_openssl.1
	dh_auto_build -- CC=$(CC)

# we don't use anything outside perl-base for ourself;
# debhelper may but that's not our business
#
# note that this currently makes perl:Depends totally empty
# (as perl-base is Essential:yes)
override_dh_perl:
	dh_perl -d

%:
	dh $@

## perl-openssl-defaults 7

=== debian/changelog ===
perl-openssl-defaults (7) unstable; urgency=medium

  * Demote debhelper from Recommends to Suggests. The package
    has a dual nature and I was overlooking the runtime use.

 -- Niko Tyni <ntyni@debian.org>  Mon, 02 May 2022 21:15:29 +0300

perl-openssl-defaults (6) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove constraints unnecessary since stretch:
    + perl-openssl-defaults: Drop versioned constraint on
      libcrypt-openssl-bignum-perl, libcrypt-openssl-dsa-perl,
      libcrypt-openssl-pkcs10-perl, libcrypt-openssl-pkcs12-perl,
      libcrypt-openssl-rsa-perl, libcrypt-openssl-x509-perl,
      libcrypt-smime-perl, libcrypt-ssleay-perl and libnet-ssleay-perl in
      Breaks.
  * Bump debhelper from old 12 to 13.
  * Update standards version to 4.6.0, no changes needed.

  [ Niko Tyni ]
  * dh_perl_openssl: remove trailing newline from substvar
    (Closes: #1010287)
  * Recommend debhelper, which is the normal way to use this package.

 -- Niko Tyni <ntyni@debian.org>  Sun, 01 May 2022 21:47:34 +0300

=== debian/control ===
Source: perl-openssl-defaults
Maintainer: Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>
Uploaders: Niko Tyni <ntyni@debian.org>
Section: perl
Priority: optional
Build-Depends: debhelper-compat (= 13),
               libssl-dev,
               perl-xs-dev,
               perl:native
Standards-Version: 4.6.0
Vcs-Browser: https://salsa.debian.org/perl-team/modules/packages/perl-openssl-defaults
Vcs-Git: https://salsa.debian.org/perl-team/modules/packages/perl-openssl-defaults.git
Rules-Requires-Root: no
Testsuite: autopkgtest-pkg-perl

Package: perl-openssl-defaults
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         ${perl:Depends},
         ${shlibs:Depends}
Provides: dh-sequence-perl-openssl,
          perl-openssl-abi-${perl-openssl-abi-version}
Suggests: debhelper
Description: version compatibility baseline for Perl OpenSSL packages
 A subset of Perl XS module packages expose the OpenSSL binary interface
 to Perl code. This can lead to incompatibilities if these packages are
 linked against different versions of OpenSSL.
 .
 This package provides a virtual package "perl-openssl-abi-x" that
 corresponds to the libssl-dev package SONAME it was built against.
 The packages that need to stay compatible with each other can depend
 on this.
 .
 Tools are also provided for generating this dependency with minimum
 hassle. See the instructions in README.Debian.

## perl-openssl-defaults 7build3

=== debian/changelog ===
perl-openssl-defaults (7build3) noble; urgency=high

  * No change rebuild against libssl3t64.

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 08 Apr 2024 16:47:27 +0200

perl-openssl-defaults (7build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 16:58:34 +0000

perl-openssl-defaults (7build1) noble; urgency=medium

  * No-change rebuild against libssl3t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 04 Mar 2024 21:01:18 +0000

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Source: perl-openssl-defaults
-Maintainer: Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>
 Uploaders: Niko Tyni <ntyni@debian.org>
 Section: perl
 Priority: optional

## perl-openssl-defaults 7build4

=== debian/changelog ===
perl-openssl-defaults (7build4) resolute; urgency=medium

  * No-change mass rebuild for Ubuntu 26.04 (LP: #2132257)

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 01 Dec 2025 15:07:15 +0100
